
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>ubuntu linux下使用Qt连接MySQL数据库的方法_Mysql / iVAN</title>

    <meta name="description" content="ubuntu linux下使用Qt连接MySQL数据库的方法_Mysql 环境说明: ubuntu 10.04.2 QtSDK (1.5G安装包的那个) mysql5.1 1.安装MySQL Linux下完整的MySQL开发需要安装服务器端,如果安装客户端也没什么不好.直接在软件中心搜mysql,把client和server选上. server在安装时会提示为root用户设置密码,设一个好了. 我使用的是mysql5.1版本,用户名密码存储在一个叫mysql的数据库里,只有管理员级别才能看到. 如果直接在终端中输入 mysql,可能会提示ERROR 1045 (280">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">ubuntu linux下使用Qt连接MySQL数据库的方法_Mysql</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>环境说明： <br />ubuntu 10.04.2 <br />QtSDK (1.5G安装包的那个） <br />mysql5.1 <br />1.安装MySQL <br />Linux下完整的MySQL开发需要安装服务器端，如果安装客户端也没什么不好。直接在软件中心搜mysql,把client和server选上。 <br />server在安装时会提示为root用户设置密码，设一个好了。 <br />我使用的是mysql5.1版本，用户名密码存储在一个叫mysql的数据库里，只有管理员级别才能看到。 <br />如果直接在终端中输入 mysql，可能会提示ERROR 1045 (28000)，这是因为这时候你是以自己用户名访问数据库，而目前数据库中只有一个root用户。没关系，如果有必要，可以添加一个用户进去： <br />mysql -uroot -p --&gt;以root用户登录 <br />grant usage on *.* to dummy@localhost; --&gt;授权名为dummy的用户本地登录，这里换成自己的用户名就可以了 <br />不过这时候直接mysql只有普通的权限，创建数据库、操作mysql都是不可以的，如果真有将其赋予管理员权限的需要，可以自己查阅有关资料。 <br />2.安装Qt的MySQL驱动。 <br />方法一：直接sudo apt-get install libqt4-sql-mysql ,这是Qt4的mysql驱动，就不用自己费劲编译了，不过可能会额外下载一些东西。 <br />将 /usr/lib/qt4/plugins/sqldrivers/libqsqlmysql.so拷贝到你的QtSDK sqldrivers目录下，我当时是直接用普通权限安装，目录为：~/QtSDK/Desktop/Qt/473/gcc/plugins/sqldrivers <br />方法二：其实你也可以sudo apt-get download libqt4-sql-mysql,把包解压缩，然后把里面的so文件搜出来直接拷贝到那里。 <br />方法三：乖乖按照官方方法编译，但是貌似可行性不大，因为新版本的QtSDK并没有src目录，默认也没有mysql的驱动。 <br />3.做个demo试一下 <br />记得在pro文件中 QT +=那里加上sql,否则qmake是不会去找sql的相关部分的</p>
<p><u>复制代码</u> 代码如下:</p>
<p>#include &lt;QtCore/QCoreApplication&gt; <br />#include &lt;QSqlDatabase&gt; <br />#include &lt;QDebug&gt; <br />int main(int argc, char *argv[]) <br />{ <br />QCoreApplication a(argc, argv); <br />QSqlDatabase db=QSqlDatabase::addDatabase("QMYSQL"); <br />db.setHostName("localhost"); <br />db.setDatabaseName("study"); <br />db.setUserName("root"); <br />db.setPassword("tyh"); <br />if(!db.open()){ <br />qDebug()&lt;&lt;"Unable to open database"; <br />}else{ <br />qDebug()&lt;&lt;"Database connection established"; <br />} <br />return a.exec(); <br />}</p>
<p>这里study这个数据库之前我已经创建过了，如果连接成功，就会显示Database connection established。 我是建立的控制台程序哈。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 08:29:17</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/ubuntu/" title="ubuntu">ubuntu</a>, <a href="https://www.iamivan.net/tag/linux/" title="linux">linux</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>ubuntu linux下使用Qt连接MySQL数据库的方法_Mysql的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M60mdAz.html" rel="bookmark">Linux下利用 Python连接mysql数据库一个很好的例子</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文转载自:http://my.oschina.net/davehe/blog/128361 1 安装Python的Mysql包 root@10.1.1.45:~# apt-get install python-mysqldb root@10.1.1.45:~# python Python 2.5.2 (r252:60911, Jan 4 2009, 21:59:32) [GCC 4.3.2] on linux2 Type &quot;help&quot;, &quot;copyright&quot;,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze67E7b.html" rel="bookmark">qt连接MySQL数据库操作问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 qt连接MySQL数据库操作问题 在qt项目中,main函数中连接了数据库,且连接成功,在其他函数中如何操作数据库,使用的是MySQL数据库,新手求大神指点! 解决方案 你可以把connection保存在一个全局变量里,别的函数操作它就可以了.http://blog.csdn.net/cgzhello1/article/details/8619276 解决方案二: 把这定义成全局的, _ConnectionPtr m_pConn; 用的时候 Execute 解决方案三: 定义全局 _C			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pmVAylz.html" rel="bookmark">thinkphp3&period;x连接mysql数据库的方法&lpar;具体操作步骤&rpar;&lowbar;php实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了thinkphp3.x连接mysql数据库的方法.分享给大家供大家参考,具体如下: 惯例配置文件:ThinkPHP/conf/convention.php (1)在配置文件中填写配置信息(配置文件:&quot;./xmall/conf/config.php&quot;): 示例: &lt;?php return array( //'配置项'=&gt;'配置值' /* 数据库设置 */ 'DB_TYPE' =&gt; 'mysql', // 数据库类型 'DB_HOST' =&gt; 'loc			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MyPlDJb.html" rel="bookmark">thinkphp3&period;x连接mysql数据库的方法&lpar;具体操作步骤&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了thinkphp3.x连接mysql数据库的方法.分享给大家供大家参考,具体如下: 惯例配置文件:ThinkPHP/conf/convention.php (1)在配置文件中填写配置信息(配置文件:&quot;./xmall/conf/config.php&quot;): 示例: &lt;?php return array( //'配置项'=&gt;'配置值' /* 数据库设置 */ 'DB_TYPE' =&gt; 'mysql', // 数据库类型 'DB_HOST' =&gt; 'loc			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3NlPJz.html" rel="bookmark">&period;net连接MYSQL数据库的方法及示例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				.net 连接MYSQL数据库的方法及示例 方法一: 使用MYSQL推出的MySQL Connector/Net is an ADO.NET driver for MySQL,下面提供最新版的下载 http://www.weiqisj.cn/mysql-connector-net-6.0.2.zip 该组件为MYSQL为ADO.NET访问MYSQL数据库设计的.NET访问组件. 安装完成该组件后,引用命名空间MySql.Data.MySqlClient; 使用命令行编译时:csc /r:MySq			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPWQV8M.html" rel="bookmark">JSP使用JDBC连接MYSQL数据库的方法&lowbar;JSP编程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了JSP使用JDBC连接MYSQL数据库的方法.分享给大家供大家参考,具体如下: 1. 可在 http://www.mysql.com/products/connector-j/index.html下载MySQL JDBC驱动程序mysql-connector-java-*.jar,如我下载的是mysql-connector-java-5.1.18-bin.jar并加入到ClassPath下面,或加入到项目中.   2. 注册JDBC驱动程序 try { Class.forName(			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M6ZklNM.html" rel="bookmark">ubuntu下使用Python连接Mysql数据库和Mongodb数据库</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				连接Mysql        如果要在ubuntu下使用Python连接Mysql只要两个步骤就ok              第一步: 在终端下输入sudo apt-get install python-mysqldb                第二步: 在终端下测试                 如果可以导入MySQLdb的包说明,可以成功的使用MySQL                第三步:可以写个代码测试一下,这里不做演示 连接mongodb        第一步:在终端下输入s			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M9XknXb.html" rel="bookmark">Ubuntu与windows双系统下共用MySQL数据库的方法&lowbar;Mysql</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				双系统配置及MySQL数据库存储情境:Windows XP下d:\mysql\data中存有MySQL数据库,Linux系统为Ubuntu Server 9.10. 双系统安装完毕,利用GURB启动到Ubuntu Server 9.10,以管理员身份登录. 1)并读写方式(RW)认方式挂载Windows中D分区至/media/wind. 2)更改/media/wind/mysql/data权限 sudo chow mysql:mysql /media/wind/mysql/data (其中两个m			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bBY5a4z.html" rel="bookmark">Myeclipse连接mysql数据库心得体会&lowbar;Mysql</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				我是给同学做一个J2EE 关于struct+hibernate结构的课设,数据库以前用的是Oracle,数据库丢失,不想装Oracle,那玩意装在本子上太刀了,卸不掉恶心...就换个mysql给他改改,网上的一些帖子,太老了,版本以及网址都是翻新没有翻内容,头大,不给力啊,还是不能全靠网络,毕竟有些东西要相信自己--想到了自己试试.思考才是王道. 以上都是废话.开始: Myeclipse连接mysql数据库之前先搞定这几项: 步骤: 1. Install JDK,Tomcat,myeclipse			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/wzV7nbN.html" rel="bookmark" class="title">PS调出草地上的婚纱美女甜美的淡绿色</a>
					<div>
						教程介绍淡绿色图片的调色方法.大致过程:先处理背景,稍微增加亮度,然后把主色转为淡绿色.然后再慢慢美化人物部分,整体看上去清爽,甜美即可. 原图 &lt;点小图查看大图&gt; 最终效果 &lt;点小 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YbKwEZb.html" rel="bookmark" class="title">根据网站建设周期去制定良好的外链计划</a>
					<div>
						外链是网站不可缺少的一部分,良好的外链策略可以让网站迅速提升权重,当一个网站制作完成后就应该制作出相应的外链发布计划来,每天的工作量.外链的发布地;好的计划能够让我们养成良好的习惯,并且对于网站优化来 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7M0rGnz.html" rel="bookmark" class="title">学点C语言&lpar;12&rpar;&colon;数据类型</a>
					<div>
						C语言数据类型: 基本类型.构造类型.指针类型.空类型. 基本类型又包括: 整型.字符.浮点(单精度.双精度).枚举. 构造类型又包括: 数组.结构体.公用体. 1. 显示整型(int)的最小.最大值 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo697Vz.html" rel="bookmark" class="title">使用ObjectDataSource显示数据</a>
					<div>
						简介 有了完整的应用程序体系结构和网站页面布局,我们就可以开始研究如何实现与任务 相关的各种常用数据和报表.前面的教程中,已经介绍了如何通过编程将来自 DAL 和 BLL 的数据绑定到 ASP.NET ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M62DXNM.html" rel="bookmark" class="title">如何进入BIOS设置</a>
					<div>
						不同的BIOS有不同的进入方法,通常会在开机画面有提示. Award BIOS:按&quot;Del&quot;键 AMI BIOS:按&quot;Del&quot;或&quot;ESC&quot;键 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bad62Pz.html" rel="bookmark" class="title">uc浏览器怎么进入阅读模式？</a>
					<div>
						  uc浏览器怎么进入阅读模式? 请您点击搜索栏右边的小箭头,选择&quot;阅读模式&quot;,并在系统设置中开启云端加速,开启预读即可.阅读模式只针对手机版(wap)页面有效哦. 阅读模式要直连 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pP8e0Ap.html" rel="bookmark" class="title">怎么判断显卡性能</a>
					<div>
						  显示芯片,显存位宽,显存大小,显卡做工. 显示芯片:正常同一序列的显卡,型号越大的越好,如AMD的显卡6470就比6370好,NVIDIA的也是一样,460就比450要好, 显存位宽:目前主要有6 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAromAp.html" rel="bookmark" class="title">使用系统自带的 UIRefreshControl 实现下拉刷新</a>
					<div>
						UIRefreshControl 为 UITableViewController 中的一个属性,从以下可以看出, IOS6.0 以上才支持. @property (nonatomic,retain)  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrW246p.html" rel="bookmark" class="title">VirtualBox 导出虚拟电脑可能遇到的陷阱</a>
					<div>
						实验要用到多台虚拟机.于是装好了xp后,先导出虚拟电脑,再导入. 当然,用命令,也可以直接复制一个新的虚拟磁盘文件.不过,懒得管理快照,就直接导出虚拟电脑了.   再次导入刚才导出的虚拟电脑,在做网络 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPP5RDp.html" rel="bookmark" class="title">asp&period;net-新手请教大神一个关于JQueryEasyUI下Combogrid控件的一个问题</a>
					<div>
						问题描述 新手请教大神一个关于JQueryEasyUI下Combogrid控件的一个问题 请教如何才能如图所示显示下拉框里的数据?我引用了例子里同样的方法,可是为什么显示不出来啊? 解决方案 效果图  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwxeGOb.html" rel="bookmark" class="title">vc&plus;&plus;-VC&plus;&plus;编程中HICON，这个是图标句柄，想这种带H的都是引用对象的地址的，是吗？？</a>
					<div>
						问题描述 VC++编程中HICON,这个是图标句柄,想这种带H的都是引用对象的地址的,是吗?? VC++编程中HICON,这个是图标句柄,想这种带H的**都**是引用对象的地址的,是吗??不会引用其他 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxoZnBb.html" rel="bookmark" class="title">java 通过sslengine 用普通的socket连接sslserversocket</a>
					<div>
						问题描述 java 通过sslengine 用普通的socket连接sslserversocket 最近在研究ssl时,发现使用普通socket 也可以去连接sslServerSocket,但是想要通 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1lx3ob.html" rel="bookmark" class="title">杀毒-求救，电脑弹窗，阻止不了而且打开大部分网页都会出现！</a>
					<div>
						问题描述 求救,电脑弹窗,阻止不了而且打开大部分网页都会出现! 我昨天晚上11点开始出现这种情况: 在我打开新网页后加载完成之后,会出现右下角弹窗.原以为是普通弹窗,但是多次出现后,发现无论点网页哪里 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8AAkNz.html" rel="bookmark" class="title">visual studio 2010 许可证</a>
					<div>
						问题描述 visual studio 2010 许可证 解决方案 应该是你安装的那个parasoft的插件的问题. 解决方案二: 询问那个差价的厂商,购买许可证,等等					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba71EPp.html" rel="bookmark" class="title">携20万母婴用户，&OpenCurlyDoubleQuote;5U家庭医生&rdquo;提供的私人家庭</a>
					<div>
						摘要: 作为具有强烈刚性需求的教育与医疗,资源的严重不足以及分配不均已经产生很多社会问题.而目前掀起的在线教育与移动医疗类服务则希望通过互联网的方式将现有资源最大化,让更 作为具有强烈刚性需求的教育与 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8Awj9z.html" rel="bookmark" class="title">MFC 动态创建控件</a>
					<div>
						动态控件是指在需要时由Create()创建的控件,这与预先在对话框中放置的控件是不同的.   一.创建动态控件:   为了对照,我们先来看一下静态控件的创建.   放置静态控件时必须先建立一个容器,一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL7lAAM.html" rel="bookmark" class="title">linux驱动开发--内核链表</a>
					<div>
						1.内核链表定义 在&lt;linux/list.h&gt;中定义 struct list_head{ struct list_head *next, *prev; }; 在list_head结构中包 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeoPaxM.html" rel="bookmark" class="title">xen-初学Xen虚拟化遇到问题，不知道Dom0在哪</a>
					<div>
						问题描述 初学Xen虚拟化遇到问题,不知道Dom0在哪 新人初学Xen虚拟化,安装了XenServer之后弄不明白Dom0在哪,有大神能解答吗 解决方案 http://www.5iops.com/ht ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr2mqxM.html" rel="bookmark" class="title">Python下的twisted框架入门指引&lowbar;python</a>
					<div>
						什么是twisted? twisted是一个用python语言写的事件驱动的网络框架,他支持很多种协议,包括UDP,TCP,TLS和其他应用层协议,比如HTTP,SMTP,NNTM,IRC,XMPP/ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyW8KEz.html" rel="bookmark" class="title">腾讯WAF&lpar;Web应用防护系统&rpar;应用层实现的架构漫谈</a>
					<div>
						前言 作为腾讯公司级webserver的漏洞防护系统,目前腾讯门神系统(以下简称门神)已经涵盖了近万台webserver服务器,日均处理HTTP数据包达数百亿. WAF 的实现有很多种,详情见 &lt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgEBNZz.html" rel="bookmark" class="title">VS2012 如何远程调试WinServer2003 IIS上网站</a>
					<div>
						问题描述 VS2012 如何远程调试WinServer2003 IIS上网站 本地VS2012 如何远程调试WinServer2003 IIS上网站 解决方案 IIS安装Frontpage扩展.htt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5QaW6p.html" rel="bookmark" class="title">struct1标签，触发action类的方式有哪几种</a>
					<div>
						问题描述 除了&lt;html:formaction=&quot;&quot;&gt;&lt;html:submmit/&gt;&lt;/html:form&gt;以外还有那个几种&lt;html:l ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7Qv8aM.html" rel="bookmark" class="title">请问下大家谁实现过在ASP&period;NET  folderBrowserDialog实现类似winform的功能</a>
					<div>
						问题描述 请问下大家谁实现过在ASP.NETfolderBrowserDialog实现类似winform的功能 解决方案 解决方案二:FileOpen倒是可以,Folder选择不行哦.解决方案三:在A ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQWBgwp.html" rel="bookmark" class="title">数据中心资源向AWS迁移的四大挑战</a>
					<div>
						很多企业将他们的数据中心资源向AWS中迁移,而更多的企业正在考虑向AWS中迁移数据中心资源.数据中心资源向AWS迁移能够带来极大的好处,AWS提供了一整套云计算服务,可以比企业自行构建数据中心更快.更 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boqLXVp.html" rel="bookmark" class="title">&OpenCurlyDoubleQuote;智能化&rdquo;风潮席卷A股 三大板块各领风骚</a>
					<div>
						2014年伊始,在美国拉斯维加斯举办的2014年美国国际消费性电子展览会(CES)上,智能家居.智能穿戴产品在展台上享尽了无限风光.紧接着1月14日,互联网巨头谷歌(1123.83, -36.27,  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlAA0qp.html" rel="bookmark" class="title">设计-接受到一个任务，以自己现有的知识还不能解答，求大神帮忙</a>
					<div>
						问题描述 接受到一个任务,以自己现有的知识还不能解答,求大神帮忙 题目:设计一个计时器. 2.功能要求: 完全模拟计时器实现(时间精确到 秒 即可) 1.计时器的开始功能 例如:键盘按键a 开始计时. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZmGkkp.html" rel="bookmark" class="title">c&plus;&plus; String去除头尾空格的方法&lowbar;C 语言</a>
					<div>
						本文实例讲述了c++ String去除头尾空格的方法,分享给大家供大家参考.具体实现方法如下: 实现该功能可使用string的find_first_not_of,和find_last_not_of方法 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1DLk9b.html" rel="bookmark" class="title">primeton EOS 6&period;3 安装后不能正常启动</a>
					<div>
						问题描述 安装完primetonEOS6.3版本的软件后,启动startserver.bat命令,但启动过程中报错,我的数据库是mysql,测试后是可以的,但为啥环境还有问题,求大神指教!启动时错误日 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjoxl5M.html" rel="bookmark" class="title">网站运营应具备的六大能力</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 网站运营是一个庞大的工程,里面包所含的东西很多,或许,在大多数人眼里,网站运营就是简单地理解为网站推广吧,实际上不是这么单一,网站运营主要是指网络营销体 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZmPOOp.html" rel="bookmark" class="title">c&num;-C&num;中关于集合类的一个问题</a>
					<div>
						问题描述 C#中关于集合类的一个问题 using System; using System.Collections.Generic; using System.Linq; using System.T ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.021 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
